MagickCore: quantum.c File Reference

# quantum.c File Reference

`#include "magick/studio.h"`
`#include "magick/property.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/color-private.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/cache.h"`
`#include "magick/constitute.h"`
`#include "magick/delegate.h"`
`#include "magick/geometry.h"`
`#include "magick/list.h"`
`#include "magick/magick.h"`
`#include "magick/memory_.h"`
`#include "magick/monitor.h"`
`#include "magick/option.h"`
`#include "magick/pixel.h"`
`#include "magick/pixel-private.h"`
`#include "magick/quantum.h"`
`#include "magick/quantum-private.h"`
`#include "magick/resource_.h"`
`#include "magick/semaphore.h"`
`#include "magick/statistic.h"`
`#include "magick/stream.h"`
`#include "magick/string_.h"`
`#include "magick/utility.h"`

## Functions
MagickExport QuantumInfo * | AcquireQuantumInfo (const ImageInfo *image_info)
MagickExport QuantumInfo * | DestroyQuantumInfo (QuantumInfo *quantum_info)
MagickExport MagickBooleanType | ExportQuantumPixels (Image *image, const QuantumInfo *quantum_info, const QuantumType quantum_type, const unsigned char *pixels)
MagickExport void | GetQuantumInfo (const ImageInfo *image_info, QuantumInfo *quantum_info)
MagickExport MagickBooleanType | ImportQuantumPixels (Image *image, const QuantumInfo *quantum_info, const QuantumType quantum_type, unsigned char *pixels)

## Function Documentation

MagickExport QuantumInfo* AcquireQuantumInfo | ( | const ImageInfo * | image_info | ) |

MagickExport QuantumInfo* DestroyQuantumInfo | ( | QuantumInfo * | quantum_info | ) |

MagickExport MagickBooleanType ExportQuantumPixels | ( | Image * | image,
|  | const QuantumInfo * | quantum_info,
|  | const QuantumType | quantum_type,
|  | const unsigned char * | pixels |
| ) |  |  |

MagickExport void GetQuantumInfo | ( | const ImageInfo * | image_info,
|  | QuantumInfo * | quantum_info |
| ) |  |  |

MagickExport MagickBooleanType ImportQuantumPixels | ( | Image * | image,
|  | const QuantumInfo * | quantum_info,
|  | const QuantumType | quantum_type,
|  | unsigned char * | pixels |
| ) |  |  |